[arch-commits] Commit in python-openstacksdk/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Mar 24 06:45:08 UTC 2017


    Date: Friday, March 24, 2017 @ 06:45:07
  Author: felixonmars
Revision: 218607

archrelease: copy trunk to community-any

Added:
  python-openstacksdk/repos/community-any/PKGBUILD
    (from rev 218606, python-openstacksdk/trunk/PKGBUILD)
Deleted:
  python-openstacksdk/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  117 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 59 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-03-24 06:44:47 UTC (rev 218606)
+++ PKGBUILD	2017-03-24 06:45:07 UTC (rev 218607)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgbase=python-openstacksdk
-pkgname=(python-openstacksdk python2-openstacksdk)
-pkgver=0.9.14
-pkgrel=1
-pkgdesc="An SDK for building applications to work with OpenStack"
-arch=('any')
-url="http://developer.openstack.org/sdks/python/openstacksdk"
-license=('Apache')
-makedepends=('git' 'python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr'
-             'python-iso8601' 'python2-iso8601' 'python-stevedore' 'python2-stevedore'
-             'python-keystoneauth1' 'python2-keystoneauth1' 'python-os-client-config'
-             'python2-os-client-config' 'python-oslo-utils' 'python2-oslo-utils'
-             'python-deprecation' 'python2-deprecation')
-checkdepends=('python-testrepository' 'python2-testrepository' 'python-mock' 'python2-mock')
-source=("git+https://git.openstack.org/openstack/python-openstacksdk#tag=$pkgver")
-md5sums=('SKIP')
-
-prepare() {
-  cp -a python-openstacksdk{,-py2}
-}
-
-build() {
-  cd "$srcdir"/python-openstacksdk
-  python setup.py build
-
-  cd "$srcdir"/python-openstacksdk-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/python-openstacksdk
-  python setup.py testr || warning "Tests failed"
-
-  cd "$srcdir"/python-openstacksdk-py2
-  PYTHON=python2 python2 setup.py testr
-}
-
-package_python-openstacksdk() {
-  depends=('python-six' 'python-pbr' 'python-iso8601' 'python-stevedore' 'python-keystoneauth1'
-           'python-os-client-config' 'python-oslo-utils' 'python-deprecation')
-
-  cd "$srcdir"/python-openstacksdk
-  python setup.py install --root="$pkgdir/" --optimize=1
-}
-
-package_python2-openstacksdk() {
-  depends=('python2-six' 'python2-pbr' 'python2-iso8601' 'python2-stevedore' 'python2-keystoneauth1'
-           'python2-os-client-config' 'python2-oslo-utils' 'python-deprecation')
-
-  cd "$srcdir"/python-openstacksdk-py2
-  python2 setup.py install --root="$pkgdir/" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-openstacksdk/repos/community-any/PKGBUILD (from rev 218606, python-openstacksdk/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-03-24 06:45:07 UTC (rev 218607)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgbase=python-openstacksdk
+pkgname=(python-openstacksdk python2-openstacksdk)
+pkgver=0.9.14
+pkgrel=2
+pkgdesc="An SDK for building applications to work with OpenStack"
+arch=('any')
+url="http://developer.openstack.org/sdks/python/openstacksdk"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-iso8601'
+             'python2-iso8601' 'python-stevedore' 'python2-stevedore' 'python-keystoneauth1'
+             'python2-keystoneauth1' 'python-os-client-config' 'python2-os-client-config'
+             'python-oslo-utils' 'python2-oslo-utils' 'python-deprecation' 'python2-deprecation')
+checkdepends=('python-testrepository' 'python2-testrepository' 'python-mock' 'python2-mock')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/python-openstacksdk/archive/$pkgver.tar.gz")
+md5sums=('2c0956a0b2de4b954d38bbbbfc291db2')
+
+prepare() {
+  cp -a python-openstacksdk-$pkgver{,-py2}
+
+  export PBR_VERSION=$pkgver
+}
+
+build() {
+  cd "$srcdir"/python-openstacksdk-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/python-openstacksdk-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/python-openstacksdk-$pkgver
+  python setup.py testr || warning "Tests failed"
+
+  cd "$srcdir"/python-openstacksdk-$pkgver-py2
+  PYTHON=python2 python2 setup.py testr
+}
+
+package_python-openstacksdk() {
+  depends=('python-six' 'python-pbr' 'python-iso8601' 'python-stevedore' 'python-keystoneauth1'
+           'python-os-client-config' 'python-oslo-utils' 'python-deprecation')
+
+  cd "$srcdir"/python-openstacksdk-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-openstacksdk() {
+  depends=('python2-six' 'python2-pbr' 'python2-iso8601' 'python2-stevedore' 'python2-keystoneauth1'
+           'python2-os-client-config' 'python2-oslo-utils' 'python2-deprecation')
+
+  cd "$srcdir"/python-openstacksdk-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list